> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/workflows/designing-workflows/processes/process-execution/beans/businessitem-bean.md).

# BusinessItem bean

A business item is any resource linked to a running workflow definition instance, allowing the workflow to perform actions on it. You can start workflows to handle tasks for a specific business item. In Collibra, a business item can be an asset, domain, or community. Some workflow definitions do not apply to a business item at all. These are referred to as global workflows.

* Available through **item** variable.
* This beans contains all the information about the current business item. For example, `${item.id}, ${item.type}`
* The following methods are available:

  | Type         | Method and description                                                                                                                |
  | ------------ | ------------------------------------------------------------------------------------------------------------------------------------- |
  | UUID         | <p><code>getCommunityId()</code></p><p>Retrieve the community ID of the business item, if present.</p>                                |
  | UUID         | <p><code>getDomainId()</code></p><p>Retrieve the domain ID of the business item, if present.</p>                                      |
  | UUID         | `getId()`                                                                                                                             |
  | String       | `getName()`                                                                                                                           |
  | Resource     | `getResource()`                                                                                                                       |
  | ResourceType | `getType()`                                                                                                                           |
  | String       | `getTypeName()`                                                                                                                       |
  | String       | <p><code>getUrl()</code></p><p>Retrieve the url to be able to consult the business item directly in the application, if possible.</p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/workflows/designing-workflows/processes/process-execution/beans/businessitem-bean.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
